Bug 473412 - Review Request: kopete-cryptography - Encrypts and signs messages in Kopete using the OpenPGP
Review Request: kopete-cryptography - Encrypts and signs messages in Kopete ...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Till Maas
Fedora Extras Quality Assurance
:
: 473241 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-28 06:53 EST by Jaroslav Reznik
Modified: 2009-01-26 08:38 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-21 16:31:30 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
opensource: fedora‑review+


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
KDE Software Compilation 166673 None None None Never
KDE Software Compilation 177302 None None None Never

  None (edit)
Description Jaroslav Reznik 2008-11-28 06:53:05 EST
Spec URL: http://rezza.hofyland.cz/fedora/packages/kopete-cryptography/kopete-cryptography.spec
SRPM URL: http://rezza.hofyland.cz/fedora/packages/kopete-cryptography/kopete-cryptography-1.3.0-1.fc10.src.rpm
Description: Kopete cryptography plugin encrypts and signs messages using the OpenPGP standard. It also handles incoming messages that are encrypted or signed.
Comment 1 Kevin Kofler 2008-11-28 14:51:20 EST
*** Bug 473241 has been marked as a duplicate of this bug. ***
Comment 2 Till Maas 2008-11-28 18:23:50 EST
[NEEDSWORK] rpmlint output:
kopete-cryptography.i386: W: dangling-symlink /usr/share/doc/HTML/uk/kopete-cryptography/common /usr/share/doc/HTML/uk//common
kopete-cryptography.i386: W: symlink-should-be-relative /usr/share/doc/HTML/uk/kopete-cryptography/common /usr/share/doc/HTML/uk//common
kopete-cryptography.i386: W: dangling-symlink /usr/share/doc/HTML/it/kopete-cryptography/common /usr/share/doc/HTML/it//common
kopete-cryptography.i386: W: symlink-should-be-relative /usr/share/doc/HTML/it/kopete-cryptography/common /usr/share/doc/HTML/it//common
kopete-cryptography.i386: W: dangling-symlink /usr/share/doc/HTML/fr/kopete-cryptography/common /usr/share/doc/HTML/fr//common
kopete-cryptography.i386: W: symlink-should-be-relative /usr/share/doc/HTML/fr/kopete-cryptography/common /usr/share/doc/HTML/fr//common
kopete-cryptography.i386: W: dangling-symlink /usr/share/doc/HTML/en/kopete/plugins/cryptography/common /usr/share/doc/HTML/en/common
kopete-cryptography.i386: W: symlink-should-be-relative /usr/share/doc/HTML/en/kopete/plugins/cryptography/common /usr/share/doc/HTML/en/common
kopete-cryptography.i386: W: dangling-symlink /usr/share/doc/HTML/pt/kopete-cryptography/common /usr/share/doc/HTML/pt//common
kopete-cryptography.i386: W: symlink-should-be-relative /usr/share/doc/HTML/pt/kopete-cryptography/common /usr/share/doc/HTML/pt//common
kopete-cryptography.i386: W: dangling-symlink /usr/share/doc/HTML/sv/kopete-cryptography/common /usr/share/doc/HTML/sv//common
kopete-cryptography.i386: W: symlink-should-be-relative /usr/share/doc/HTML/sv/kopete-cryptography/common /usr/share/doc/HTML/sv//common

I believe that adding somethin like this to the HTML doc loop in %install
should fix this, but the second line breaks the build currently and I am too
tired to see why. :-/

test -L $lang_dir/kopete-cryptography/common && ln -sf ../common $lang_dir/kopete-cryptography/common
test -L $lang_dir/kopete/plugins/cryptography/common && ln -sf ../../../common $lang_dir/kopete/plugins/cryptography/common

[OK] Spec in %{name}.spec format

[OK] license allowed: GPLv2+
[OK] license matches shortname in License: tag
[OK] license in tarball and included in %doc:

[OK] package is code or permissive content:
{N/A} patches sent to upstream and commented
[OK] Source0 is a working URL
{N/A} Sourceforge URL is Source0: http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
<N/A> SourceX / PatchY prefixed with %{name}
[OK] Source0 matches Upstream:
25697c1b7f85c660f4cfc73b27c2e4c8  kopete-cryptography-1.3.0-kde4.1.3.tar.bz2

[OK] Package builds on all platforms:
http://koji.fedoraproject.org/koji/taskinfo?taskID=956882
[N/A] ExcludeArch bugs are filed and commented:
[OK] BuildRequires are complete (mock builds)
(OK) No file dependencies outside of /etc /bin /sbin /usr/bin /usr/sbin 
https://fedoraproject.org/wiki/Packaging/Guidelines#FileDeps

[OK] %find_lang used for locales

[N/A] Every (sub)package containing libraries runs ldconfig
%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig
[N/A] .h (header) files are in -devel subpackage
[N/A] .a (static libraries) are in -static subpackage
[N/A] contains .pc (pkgconfig) files and has Requires: pkgconfig
(N/A) .pc files are in -devel subpackage
[N/A] contains .so.X(.Y) files and .so is in -devel
[N/A] -devel subpackage has Requires: %{name} = %{version}-%{release}
[N/A] .la files (libtool) are not included


[N/A] Has GUI and includes %{name}.desktop
[N/A] Follows desktop entry spec
[N/A] Valid .desktop Name
[N/A] Valid .desktop GenericName
[N/A] Valid .desktop Categories
[N/A] Valid .desktop StartupNotify
[N/A] .desktop file installed with desktop-file-install in %install

[OK] Prefix: /usr not used (not relocatable)

[NEEDSWORK] Owns all created directories:
/usr/share/kde4/apps/kopete_cryptography/ should probably be owned

[OK] no duplicates in %files
[OK] %defattr(-,root,root,-) is in every %files section
[OK] Does not own files or dirs from other packages
[OK] included filenames are in UTF-8
[OK] %clean is rm -rf %{buildroot} or $RPM_BUILD_ROOT 
[OK] %install starts with rm -rf %{buildroot} or $RPM_BUILD_ROOT 

[NEEDSWORK] Consistent macro usage
https://fedoraproject.org/wiki/Packaging/Guidelines#macros

$RPM_BUILD_ROOT and %{buildroot} are used

[OK] large documentation is -doc subpackage
[TODO] %doc does not affect runtime

{OK} no pre-built binaries (.a, .so*, executable)
{OK} well known BuildRoot
%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
{OK} PreReq not used

{OK} RPM_OPT_FLAGS honoured
Only visibile when VERBOSE=1 is used.

{OK} Useful debuginfo generated
{OK} no duplication of system libraries
{OK} no rpath

{TODO} Timestamps preserved with cp and install
https://fedoraproject.org/wiki/Packaging/Guidelines#Timestamps

{OK} Uses parallel make (%{?_smp_mflags})
{OK} Requires(pre,post) style notation not used
{OK} only writes to tmp /var/tmp $TMPDIR %{_tmppath} %{_builddir} (and %{buildroot} on %install and %clean)
{OK} no Conflicts
{OK} nothing installed in /srv
{OK} Changelog in allowed format
{OK} does not use Scriptlets

<N/A> Architecture independent packages have: BuildArch: noarch
<OK> Sane Provides: and Requires:
{OK} Follows Naming Guidelines

{NEEDSWORK} follows special guidelines
Cmake
https://fedoraproject.org/wiki/Packaging/cmake
VERBOSE=1 is missing at the make commandline in %build

Btw. are there any KDE specific guidelines available? At the KDE SIG page there is a "best practices" headline, but there is no content available:
https://fedoraproject.org/wiki/SIGs/KDE#Best_Practices

I will check the two missing items tomorrow, but I am too tired now. Please fix or comment the items marked with NEEDSWORK.
Comment 3 Jaroslav Reznik 2008-11-30 08:35:35 EST
[NEEDSWORK] rpmlint output:
According to other KDE packages reviews it's safe to ignore rpmlint warnings.
[NEEDSWORK] Owns all created directories:
Ok, I'm quite desoriented in this area of owning directories, I have to study more :)
[NEEDSWORK] Consistent macro usage
Ok, I'll repair template to use macros consistently
{NEEDSWORK} follows special guidelines
Ok, I'll take a look
Comment 4 Jaroslav Reznik 2008-12-01 08:07:48 EST
So,
package should now owns kopete_cryptography directory, uses %{buildroot} macro consistently and builds with VERBOSE=1.

Last thing is rpmlint output, see my previous comment, I hope Kevin can approve this output.  

Spec URL:
http://rezza.hofyland.cz/fedora/packages/kopete-cryptography/kopete-cryptography.spec
SRPM URL:
http://rezza.hofyland.cz/fedora/packages/kopete-cryptography/kopete-cryptography-1.3.0-2.fc10.src.rpm
Comment 5 Jens Liebchen 2008-12-01 15:31:03 EST
Together with Till, I have tested some builds of kopete-cryptography. Unfortunately there seems to be an issue with the new package:

Encrypting and signing seems to work fine. But if I receive any encrypted (and/or signed) messages, no message is shown in kopete. To be sure this is not a personal issue, we used the Fedora-KDE Live CD, updated to KDE 4.1.3, installed the fresh built kopete-cryptography, and set up a fresh gpg setup. Unfortunately the problem shows up again: You cannot receive any encrypted messages. You do not even notice you got a message if that one is encrypted and/or signed :-(

As this is a show stopper for kopete-cryptography, does anybody have a clue about this or can reproduce this issue?
Comment 6 Till Maas 2008-12-01 15:35:10 EST
These items are now ok:

[OK] Owns all created directories:
[OK] Consistent macro usage
{OK} follows special guidelines

(In reply to comment #3)
> [NEEDSWORK] rpmlint output:
> According to other KDE packages reviews it's safe to ignore rpmlint warnings.

The "dangling-symlink" warnings can imho be ignored, but not the
"symlink-should-be-relative" warnings. In the F8 kdenetwork package, most of
the symlinks named common are relative, therefore it smells like something that
could be done for all symlinks.
Comment 7 Till Maas 2008-12-01 18:15:17 EST
This seems to be the case:
[OK] %doc does not affect runtime

[UNCLEAR SITUATION]
The provides may not be considered sane afaics:

rpm --provides -qp kopete-cryptography-1.3.0-2.fc10.x86_64.rpm
kcm_kopete_cryptography.so()(64bit)
kopete_cryptography.so()(64bit)

/usr/lib64/kde4/kcm_kopete_cryptography.so
/usr/lib64/kde4/kopete_cryptography.so

It is not clear, whether the fault is at rpm, i.e. it should not make rpms provide .so files that are not in a directory that is used by ld, but others seem to think, that this is the right beheaviour. I doubt, that there is a high potential for problems with these provides, therefore I do not consider this to be a problem.

The rpmlint warnings about absolute symlinks are now considered to be a bug in meinproc, therefore they do not block this review:
bug #474057

About the VERBOSE=1 in %build:
This will probably not be necessary in the future, for reference:
bug #474053

Also since this package seems to use default cmake installation procedures, this  is considered to be not an issue:

{OK} Timestamps preserved with cp and install
If there is a problem with timestamps, then it is a bug in cmake or %cmake imho.

Btw. if this package will be only in F10 and beyond, you can remove the "mkdir %{buildroot}" line from %install. Currently afaik it makes only sence to make a racing condition fail, but with the rpm in F10, the buildroot is located in a user controlled directory by default instead of /var/tmp. Therefore there is no such racing condition anymore.

Therefore I see no really blocker to finish the review. This package is now APPROVED.

The only left problem is, that the plugin is not able to decrypt encrypted messages. Imho this should be fixed before this package is pushed to F10 updates-testing.
Comment 8 Jaroslav Reznik 2008-12-02 03:28:46 EST
(In reply to comment #5)
> Together with Till, I have tested some builds of kopete-cryptography.
> Unfortunately there seems to be an issue with the new package:
> 
> Encrypting and signing seems to work fine. But if I receive any encrypted
> (and/or signed) messages, no message is shown in kopete. To be sure this is not
> a personal issue, we used the Fedora-KDE Live CD, updated to KDE 4.1.3,
> installed the fresh built kopete-cryptography, and set up a fresh gpg setup.
> Unfortunately the problem shows up again: You cannot receive any encrypted
> messages. You do not even notice you got a message if that one is encrypted
> and/or signed :-(
> 
> As this is a show stopper for kopete-cryptography, does anybody have a clue
> about this or can reproduce this issue?

Ok, this is show stopper for me, thanks for testing. I should set up environment to test it myself.
Comment 9 Jaroslav Reznik 2008-12-02 04:05:22 EST
Till thank you for this great review!

- libs - ok
- rpmlint warnings - ok but we (KDE SIG) should look to bug #474057
- "mkdir %{buildroot}" removed

So now the last problem is receiving encrypted messages.
Comment 10 Rex Dieter 2008-12-02 08:59:47 EST
While I appreciate the "functioning" part of the review, it would be of great value to at least get this into rawhide, so that some wider testing could occur. (it's a part of upstream kde.org extragear releases, if there is a bug, I'm sure it could be fixed... provided we could get ample testing/investigation).
Comment 11 Jaroslav Reznik 2008-12-02 10:03:08 EST
Ok, so I ask for CVS.
Comment 12 Jaroslav Reznik 2008-12-02 10:19:17 EST
New Package CVS Request
=======================
Package Name: kopete-cryptography
Short Description: Encrypts and signs messages in Kopete using the OpenPGP
Owners: jreznik kkofler than rdieter ltinkl
Branches: F-10
InitialCC:
Comment 13 Jaroslav Reznik 2008-12-03 07:41:23 EST
I'm testing it and I don't have any problems with sending and receiving of encrypted message and signing messages is working too. So I think it can go to updates-testing after CVS is done. Do you have correctly set it up? So valid private/public key, set up your own private key in plugin configuration and public key for contact?
Comment 14 Till Maas 2008-12-03 09:45:36 EST
(In reply to comment #13)
> I'm testing it and I don't have any problems with sending and receiving of
> encrypted message and signing messages is working too. So I think it can go to
> updates-testing after CVS is done. Do you have correctly set it up? So valid
> private/public key, set up your own private key in plugin configuration and
> public key for contact?

We were able to send signed, encrypted and encrypted signed messages without any problems, but no encrypted messages were received. I used a F10 Live image with a persistent overlay where I updated KDE and installed the plugin. I do not see any obvious way to do something wrong here.
Comment 15 Jaroslav Reznik 2008-12-03 09:57:53 EST
(In reply to comment #14)
> We were able to send signed, encrypted and encrypted signed messages without
> any problems, but no encrypted messages were received. I used a F10 Live image
> with a persistent overlay where I updated KDE and installed the plugin. I do
> not see any obvious way to do something wrong here.

Ops, sorry I can see it now, it's not working now for me. I'll take a deeper look.
Comment 16 Kevin Fenzi 2008-12-03 19:56:34 EST
cvs done.
Comment 17 Jaroslav Reznik 2008-12-04 06:44:29 EST
Import to CVS done - devel branch only for the moment. Encrypted messages are transmitted correctly, I can even manually decrypt them with gpg. So I'm going to take a look to source code, hopefully it is small bug in decrypted message output to chat window :)
Comment 18 Jens Liebchen 2008-12-07 09:40:23 EST
The problem may be related to 

https://bugs.kde.org/show_bug.cgi?id=166673

It is mentioned, that GPG encrypted messages are ignored silently by kopete, if no kopete-cryptography is available. So maybe kopete is not correctly aware of the kopete-cryptography module? That may be a kopete or a kopete-cryptography issue.
Comment 19 Jaroslav Reznik 2008-12-08 04:22:33 EST
I already figured out what's going on in Kopete with GPG messages - when sending encrypted message, Kopete moves encrypted body to encrypted part and body is replaced with "This message is encrypted". It's OK, message is sent, for example it works well when sent to Pidgin. But when receiving this message, Kopete is trying to restore encrypted part of message to body (if there is encryption) instead of checking if there is cryptography plugin. So "This message is encrypted" message is replaced with encrypted body and the worst thing - this message is left without any further action! So kopete-cryptography can't handle it - it doesn't know about this message even! And nothing is displayed. I have patch to solve this, but another problem remains - it's working, when chat window is already opened but hanging when not. I'll try to figure out what's happening - seems like chat session is closed before message is decrypted.

And finally it's regression in Kopete in KDE 4.0 - one new else if :) So I have prepared patch and I'll notify upstream.

One thing I don't understand - kopete-cryptography then couldn't work in KDE 4 even it was released for it!!!
Comment 20 Till Maas 2008-12-08 16:27:29 EST
I noticed that you addeed ldconfig in %post(un), but why? Afaik it is not needed here, because ldconfig does not work on the directory, where kopete-cryptogryphy stores the .so file, i.e. this does not return anything:

ldconfig -v | grep kopete_cryptography

I tested this on F10, but I doubt, that this is different for Rawhide.
Comment 21 Jaroslav Reznik 2008-12-09 07:22:42 EST
(In reply to comment #20)
> I noticed that you addeed ldconfig in %post(un), but why? Afaik it is not
> needed here, because ldconfig does not work on the directory, where
> kopete-cryptogryphy stores the .so file, i.e. this does not return anything:
> 
> ldconfig -v | grep kopete_cryptography
> 
> I tested this on F10, but I doubt, that this is different for Rawhide.

Ok, sorry I didn't realize what I'm doing, shortage :)

Finally I have patches for both Kopete and Kopete Cryptography plugin, only need some more polishing and upstream attention.
Comment 22 Fedora Update System 2008-12-10 12:04:20 EST
kopete-cryptography-1.3.0-6.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/kopete-cryptography-1.3.0-6.fc10
Comment 23 Fedora Update System 2008-12-11 03:03:02 EST
kopete-cryptography-1.3.0-6.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update kopete-cryptography'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2008-11174
Comment 24 Jaroslav Reznik 2008-12-11 04:21:48 EST
Note: until kdenetwork update this plugin will not correctly work with Jabber protocol!
Comment 25 Kevin Kofler 2008-12-11 07:18:04 EST
Package Change Request
======================
Package Name: kopete-cryptography
New Branches: F-9
Owners: jreznik kkofler than rdieter ltinkl
Comment 26 Kevin Kofler 2008-12-11 07:20:49 EST
Nevermind, ignore the above, this BRs kdepim-devel >= 4 which is not available on F-9.
Comment 27 Jaroslav Reznik 2008-12-11 07:33:45 EST
(In reply to comment #26)
> Nevermind, ignore the above, this BRs kdepim-devel >= 4 which is not available
> on F-9.

I'll check why it needs kdepim-devel >= 4. So for now F-10 branch is enough.
Comment 28 Till Maas 2008-12-11 10:37:43 EST
Thanks to Kevin I found the new kdenetwork package now:
http://koji.fedoraproject.org/koji/buildinfo?buildID=74325

I did not expect this to happen this fast, therefore ihmo the kopete-cryptography package should be updated with a:

Requires: kdenetwork >= 4.1.3-2

And both updates should be put together in one update request at Bodhi to make sure, that they are pushed at the same time.
Comment 29 Till Maas 2009-01-02 16:38:11 EST
What is the status here? I noticed that kdenetwork-4.1.3-2 was pushed to F9 testing, but not to F10. According to comment #27, it seems that there is no need for the update in F9, but only in F10. Also there was no reply to my comment #28.
Comment 30 Jaroslav Reznik 2009-01-05 06:10:34 EST
(In reply to comment #29)
> What is the status here? I noticed that kdenetwork-4.1.3-2 was pushed to F9
> testing, but not to F10. According to comment #27, it seems that there is no
> need for the update in F9, but only in F10. Also there was no reply to my
> comment #28.

Sorry, it takes so long, some misunderstanding between me and Kevin - see https://admin.fedoraproject.org/updates/F10/FEDORA-2008-11174
Comment 31 Fedora Update System 2009-01-07 04:29:42 EST
kdenetwork-4.1.3-2.fc10, kopete-cryptography-1.3.0-8.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update kdenetwork kopete-cryptography'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2008-11174
Comment 32 Fedora Update System 2009-01-10 14:44:29 EST
kdeaccessibility-4.1.4-1.fc10,kdeadmin-4.1.4-1.fc10,kdeartwork-4.1.4-1.fc10,kdebase-4.1.4-1.fc10,kdebase-runtime-4.1.4-1.fc10,kdebase-workspace-4.1.4-1.fc10,kdebindings-4.1.4-1.fc10,kdeedu-4.1.4-1.fc10,kde-filesystem-4-23.fc10,kdegames-4.1.4-1.fc10,kdegraphics-4.1.4-1.fc10,kdelibs-4.1.4-2.fc10,kde-l10n-4.1.4-2.fc10,kdemultimedia-4.1.4-1.fc10,kdenetwork-4.1.4-1.fc10,kdepim-4.1.4-1.fc10,kdepimlibs-4.1.4-1.fc10,kdeplasma-addons-4.1.4-1.fc10,kdesdk-4.1.4-1.fc10,kdetoys-4.1.4-1.fc10,kdeutils-4.1.4-1.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/kdeaccessibility-4.1.4-1.fc10,kdeadmin-4.1.4-1.fc10,kdeartwork-4.1.4-1.fc10,kdebase-4.1.4-1.fc10,kdebase-runtime-4.1.4-1.fc10,kdebase-workspace-4.1.4-1.fc10,kdebindings-4.1.4-1.fc10,kdeedu-4.1.4-1.fc10,kde-filesystem-4-23.fc10,kdegames-4.1.4-1.fc10,kdegraphics-4.1.4-1.fc10,kdelibs-4.1.4-2.fc10,kde-l10n-4.1.4-2.fc10,kdemultimedia-4.1.4-1.fc10,kdenetwork-4.1.4-1.fc10,kdepim-4.1.4-1.fc10,kdepimlibs-4.1.4-1.fc10,kdeplasma-addons-4.1.4-1.fc10,kdesdk-4.1.4-1.fc10,kdetoys-4.1.4-1.fc10,kdeutils-4.1.4-1.fc10
Comment 33 Fedora Update System 2009-01-14 21:59:45 EST
kdenetwork-4.1.4-2.fc10, kdeaccessibility-4.1.4-1.fc10, kdeadmin-4.1.4-1.fc10, kdeartwork-4.1.4-1.fc10, kdebase-runtime-4.1.4-1.fc10, kdebase-workspace-4.1.4-1.fc10, kdebindings-4.1.4-1.fc10, kdeedu-4.1.4-1.fc10, kde-filesystem-4-23.fc10, kdegames-4.1.4-1.fc10, kdegraphics-4.1.4-1.fc10, kdelibs-4.1.4-2.fc10, kde-l10n-4.1.4-2.fc10, kdemultimedia-4.1.4-1.fc10, kdepim-4.1.4-1.fc10, kdepimlibs-4.1.4-1.fc10, kdeplasma-addons-4.1.4-1.fc10, kdesdk-4.1.4-1.fc10, kdetoys-4.1.4-1.fc10, kdeutils-4.1.4-1.fc10, kopete-cryptography-1.3.0-8.fc10, kdebase-4.1.4-2.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update kdenetwork kdeaccessibility kdeadmin kdeartwork kdebase-runtime kdebase-workspace kdebindings kdeedu kde-filesystem kdegames kdegraphics kdelibs kde-l10n kdemultimedia kdepim kdepimlibs kdeplasma-addons kdesdk kdetoys kdeutils kopete-cryptography kdebase'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-0452
Comment 34 Fedora Update System 2009-01-21 16:31:26 EST
kdenetwork-4.1.4-2.fc10, kdeaccessibility-4.1.4-1.fc10, kdeadmin-4.1.4-1.fc10, kdeartwork-4.1.4-1.fc10, kdebase-runtime-4.1.4-1.fc10, kdebase-workspace-4.1.4-1.fc10, kdebindings-4.1.4-1.fc10, kdeedu-4.1.4-1.fc10, kde-filesystem-4-23.fc10, kdegames-4.1.4-1.fc10, kdegraphics-4.1.4-1.fc10, kdelibs-4.1.4-2.fc10, kde-l10n-4.1.4-2.fc10, kdemultimedia-4.1.4-1.fc10, kdepim-4.1.4-1.fc10, kdepimlibs-4.1.4-1.fc10, kdeplasma-addons-4.1.4-1.fc10, kdesdk-4.1.4-1.fc10, kdetoys-4.1.4-1.fc10, kdeutils-4.1.4-1.fc10, kopete-cryptography-1.3.0-8.fc10, kdebase-4.1.4-2.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 35 Jaroslav Reznik 2009-01-26 08:38:19 EST
Ops, it disappeared from F10 spec - missing in devel branch, sorry. I'll prepare patch for 4.2.0 and rebuild it.

Note You need to log in before you can comment on or make changes to this bug.